Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 562212 - sys-apps/paludis-2.6.0 - please stabilise
Summary: sys-apps/paludis-2.6.0 - please stabilise
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michał Górny
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: gcc-5
  Show dependency tree
 
Reported: 2015-10-04 09:53 UTC by Markus Oehme
Modified: 2017-01-02 09:55 UTC (History)
2 users (show)

See Also:
Package list:
=sys-apps/paludis-2.6.0
Runtime testing required: No
kensington: sanity-check+


Attachments
emerge --info (info.txt,6.23 KB, text/plain)
2015-10-04 09:53 UTC, Markus Oehme
no flags Details
build log (paludis-2.4.0:20151004-084919.log,519.81 KB, text/plain)
2015-10-04 09:53 UTC, Markus Oehme
no flags Details
paludis-2.4.0-direct-list-initialization-c++11.patch (paludis-2.4.0-direct-list-initialization-c++11.patch,708 bytes, patch)
2015-12-06 21:29 UTC, Ted Tanberry
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Oehme 2015-10-04 09:53:05 UTC
Created attachment 413682 [details]
emerge --info

On my hardened ~amd64 machine with gcc-5.2.0 I see the following failure for paludis.

x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../..    -I../..  -pthread -Wall -Wextra -Wold-style-cast -Wredundant-decls -Wstrict-null-sentinel -Wmissing-noreturn -Woverloaded-virtual -Winit-self -Wunreachable-code -Wunused -Wunused-function -Wshadow -Wwrite-strings -Wfloat-equal -Wno-ignored-qualifiers -Wno-non-virtual-dtor -std=c++11  -ggdb  -fvisibility-inlines-hidden -fvisibility=hidden -DPALUDIS_ENABLE_VISIBILITY=1 -O2 -pipe -march=native -floop-interchange -floop-strip-mine -floop-block -finline-functions -c -o collect_depped_upon.o collect_depped_upon.cc
collect_depped_upon.cc: In function ‘const std::shared_ptr<const paludis::Sequence<paludis::resolver::DependentPackageID> > paludis::resolver::dependent_upon(const paludis::Environment*, const std::shared_ptr<const paludis::PackageID>&, const std::shared_ptr<const paludis::Sequence<paludis::resolver::ChangeByResolvent> >&, const std::shared_ptr<const paludis::Sequence<paludis::resolver::ChangeByResolvent> >&, const std::shared_ptr<const paludis::Sequence<std::shared_ptr<const paludis::PackageID> > >&)’:
collect_depped_upon.cc:242:122: error: direct-list-initialization of ‘auto’ requires exactly one element [-fpermissive]
         auto k { &PackageID::build_dependencies_key, &PackageID::run_dependencies_key, &PackageID::post_dependencies_key };
                                                                                                                          ^
Comment 1 Markus Oehme 2015-10-04 09:53:33 UTC
Created attachment 413684 [details]
build log
Comment 2 Ted Tanberry 2015-12-06 21:29:07 UTC
Created attachment 418686 [details, diff]
paludis-2.4.0-direct-list-initialization-c++11.patch

I've tested the patch with GCC-5.3 and 4.8.5 and with both it compiled. See also http://comments.gmane.org/gmane.linux.gentoo.paludis.user/2042
Comment 3 Toralf Förster gentoo-dev 2016-01-05 13:31:08 UTC
same for gcc-5.3 @ amd64-hardened-unstable_20151227-13060
Comment 4 Mike Gilbert gentoo-dev 2016-11-21 21:37:28 UTC
paludis-2.6.0 compiles successfully using gcc-5.4.0. I believe this bug report may be closed.
Comment 5 David Seifert gentoo-dev 2016-12-20 21:40:01 UTC
@arches, please stabilise so we can move on with stabilising GCC 5.
Comment 6 Tobias Klausmann gentoo-dev 2016-12-21 20:10:14 UTC
Stable on amd64.
Comment 7 Agostino Sarubbo gentoo-dev 2016-12-28 08:39:07 UTC
Dear Maintainer (or who is mainly involved in this stable request),

This is an auto-generated message that will move the current component to the new component Stabilization.
To ensure that the stabilization will proceed correctly, please fill the fields "Atoms to stabilize" and "Runtime testing required" as described here:
https://archives.gentoo.org/gentoo-dev/message/4b2ef0e9aa7588224b8ae799c5fe31fa
Comment 8 Agostino Sarubbo gentoo-dev 2017-01-02 09:55:17 UTC
x86 stable. Closing.